import 'package:cargocalculaterapp/core/error/failure.dart';
import 'package:cargocalculaterapp/core/usecase/usecase.dart';
import 'package:dartz/dartz.dart';
import '../../data/models/comment_request.dart';
import '../../data/models/comment_response.dart';
import '../repository/home_repository.dart';

class CommentUseCase extends UseCase<CommentResponse, CommentRequest>{
  final HomeRepository repository;

  CommentUseCase(this.repository);
  @override
  Future<Either<Failure, CommentResponse>> call(CommentRequest params) async {
    return await repository.comment(params);
  }
}